\ProvidesClass{dbis_beamer}
\LoadClassWithOptions{beamer}
\RequirePackage{bera}   % for custom fonts
\renewcommand{\familydefault}{\sfdefault}

% a full documentation of the possibilities is available at 
% http://www.math.uni.lodz.pl/~zofiawal/tex/beameruserguide.pdf
\addtolength{\headsep}{-0.1cm}
% Colors
\definecolor{uni@orange}{cmyk}{0,0.5,1.0,0}
\definecolor{uni@blue}{cmyk}{1.0,0.6,0,0.56}
\definecolor{uni@text}{cmyk}{0,0,0,0.9}
\definecolor{uni@title}{cmyk}{0,0,0,0.6}

\setbeamercolor*{title page header}{fg=uni@title}
\setbeamercolor*{author}{fg=uni@title}
\setbeamercolor*{date}{fg=uni@title}
\setbeamercolor*{frametitle}{fg=uni@title}
\setbeamercolor*{normal text}{fg=uni@text}
\setbeamercolor{block title}{fg=uni@text,bg=gray!30!white}
\setbeamercolor{block body}{fg=uni@text,bg=gray!10!white}
\setbeamercolor{itemize item}{fg=uni@blue}
\setbeamercolor{itemize subitem}{fg=uni@orange}
\setbeamercolor{itemize subsubitem}{fg=uni@blue}
\setbeamercolor{enumerate item}{fg=uni@orange}
\setbeamercolor{description item}{fg=uni@text}
\setbeamercolor{section in toc}{fg=black}

% Templates
\setbeamertemplate{title page}{
  \begin{minipage}{0.48\textwidth}
    \hspace{-1cm}
    \includegraphics[width=4cm]{uni_logo.jpg}
  \end{minipage}
    \hfill
  \begin{minipage}{0.48\textwidth}
    \hfill
    \vspace{-3mm}
    \includegraphics[width=3cm]{dbis_logo.png}
    \hspace{-0.5cm}
  \end{minipage}
  \vspace{2cm}

  {\LARGE\inserttitle} \par\addvspace{0.3cm}
  {\insertsubtitle} \par\addvspace{.6cm}
  \insertauthor \par\addvspace{2cm}
  \insertdate 
}

\setbeamertemplate{footline}{
  \begin{center}  \textcolor{gray!30!white}{\rule{0.95\textwidth}{0.4pt}}  \end{center}
  \vspace{-.3cm}
  \hspace{.2cm}
  \includegraphics[width=2cm]{uni_logo.jpg}
  \hfill
  \hfill
  \includegraphics[width=2cm]{dbis_logo.png}
  \hspace{.2cm}
  \vspace{.2cm}
}

\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{frametitle}{
  \vspace{0.75cm}
  {\LARGE\insertframetitle \hfill {\small \insertframenumber}}
  \vspace{0.5cm}
}
\setbeamertemplate{itemize items}[square]
\setbeamertemplate{description item}{\textbf{\insertdescriptionitem}}

\setbeamersize{description width=0.5cm}
